package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TDictMajorEd;

/**
 * 重大工程字典 服务层
 */
public interface ITDictMajorEdService {

    TDictMajorEd selectTDictMajorEdByGuid(String guid);

    List<TDictMajorEd> selectTDictMajorEdList(TDictMajorEd tDictMajorEd);

    int insertTDictMajorEd(TDictMajorEd tDictMajorEd);

    int updateTDictMajorEd(TDictMajorEd tDictMajorEd);

    int deleteTDictMajorEdByGuid(String guid);

    int deleteTDictMajorEdByGuids(String[] guids);
}
